package org.example.designpatterns.factory;

import org.example.designpatterns.factory.interfaces.FactoryAbstract;
import org.example.designpatterns.factory.interfaces.IConnectionBD;
import org.example.designpatterns.factory.interfaces.IConnectionREST;

public class App {

    public static void main(String[] args) {
        FactoryAbstract factoryBD = FactoryProduct.getFactory("BD");
        IConnectionBD connectionBD = factoryBD.getBD("MYSQL");
        connectionBD.conectar();
        connectionBD.desconectar();

        FactoryAbstract factoryREST = FactoryProduct.getFactory("REST");
        IConnectionREST connectionREST = factoryREST.getREST("COMPRAS");
        connectionREST.readURL("url");

    }

}
