package org.example.designpatterns.factory;

import org.example.designpatterns.factory.interfaces.FactoryAbstract;
import org.example.designpatterns.factory.interfaces.IConnectionBD;
import org.example.designpatterns.factory.interfaces.IConnectionREST;
import org.example.designpatterns.factory.interfaces.impl.ConnectionRESTCompras;
import org.example.designpatterns.factory.interfaces.impl.ConnectionRESTNoArea;
import org.example.designpatterns.factory.interfaces.impl.ConnectionRESTVentas;

public class ConnectionRESTFactory implements FactoryAbstract {

    @Override
    public IConnectionREST getREST(String area) {
        if(area == null)
            return new ConnectionRESTNoArea();
        if (area.equalsIgnoreCase("COMPRAS"))
            return new ConnectionRESTCompras();
        else if (area.equalsIgnoreCase("VENTAS"))
            return new ConnectionRESTVentas();
        return new ConnectionRESTNoArea();
    }

    @Override
    public IConnectionBD getBD(String motor) {
        return null;
    }
}
