package org.example.designpatterns.singleton.model;

public class Connection {

    // Declaración
    private static Connection instancia;

    // Para evitar instancia mediante operador "new"
    private Connection() {}

    // Para obtener la instancia unicamente por este método
    // La palabra reservada "static" hace posible el acceso mediante Clase.metodo
    public static Connection getInstancia() {
        if(instancia == null)
            instancia = new Connection();
        return instancia;
    }

    // Método de prueba
    public void conectar(){
        System.out.println("Me conecté a la BD");
    }

    // Método de prueba
    public void desconectar(){
        System.out.println("Me desconecté a la BD");
    }
}
